Ops Update
curl --request PUT \
--url https://api.example.com/api/v1/ops/cms/posts/{post_id} \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"slug": "<string>",
"kind": "blog",
"excerpt": "",
"body": "",
"seo_title": "<string>",
"seo_description": "<string>",
"status": "draft",
"tags": [],
"cover_url": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"author_name": "<string>",
"author_bio": "<string>",
"author_avatar_url": "<string>",
"og_image_url": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/ops/cms/posts/{post_id}"
payload = {
"title": "<string>",
"slug": "<string>",
"kind": "blog",
"excerpt": "",
"body": "",
"seo_title": "<string>",
"seo_description": "<string>",
"status": "draft",
"tags": [],
"cover_url": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"author_name": "<string>",
"author_bio": "<string>",
"author_avatar_url": "<string>",
"og_image_url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
slug: '<string>',
kind: 'blog',
excerpt: '',
body: JSON.stringify(''),
seo_title: '<string>',
seo_description: '<string>',
status: 'draft',
tags: [],
cover_url: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
author_name: '<string>',
author_bio: '<string>',
author_avatar_url: '<string>',
og_image_url: '<string>'
})
};
fetch('https://api.example.com/api/v1/ops/cms/posts/{post_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}cms-ops
Ops Update
PUT
/
api
/
v1
/
ops
/
cms
/
posts
/
{post_id}
Ops Update
Path Parameters
Body
application/json
Response
Successful Response
The response is of type Response Ops Update Api V1 Ops Cms Posts Post Id Put · object.
⌘I